package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 手环报警列信息对象 t_shouhuan_alarm_list
 * 
 * @author ruoyi
 * @date 2023-09-07
 */
public class TShouhuanAlarmList extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 设备id */
    @Excel(name = "设备id")
    private Integer facilityId;

    /** 手环信息id */
    @Excel(name = "手环信息id")
    private Integer shinfoId;

    /** 设置id编码 */
    @Excel(name = "设置id编码")
    private String deviceIdCode;

    /** 经度 */
    @Excel(name = "经度")
    private BigDecimal gpsLong;

    /** 纬度 */
    @Excel(name = "纬度")
    private BigDecimal gpsLat;

    /** 速度 公里/小时 */
    @Excel(name = "速度 公里/小时")
    private BigDecimal speed;

    /** 方向 度 */
    @Excel(name = "方向 度")
    private Integer direction;

    /** 海拔 */
    @Excel(name = "海拔")
    private Integer poster;

    /** 电量 */
    @Excel(name = "电量")
    private Integer electricQuantity;

    /** 计步数 */
    @Excel(name = "计步数")
    private Integer stepNumber;

    /** 翻滚数 */
    @Excel(name = "翻滚数")
    private Integer rollNumber;

    /** 状态类型 0 无效 1:低电状态;2:出围栏状态;3:进围栏状态;4:手环戴上取下状态;5:手表运行静止状态 */
    @Excel(name = "状态类型 0 无效 1:低电状态;2:出围栏状态;3:进围栏状态;4:手环戴上取下状态;5:手表运行静止状态")
    private Integer statusType;

    /** 报警类型 0 无效 16:SOS报警;17:低电报警;20:手环拆除报警;21:跌倒报警;22:心率异常报警 */
    @Excel(name = "报警类型 0 无效 16:SOS报警;17:低电报警;20:手环拆除报警;21:跌倒报警;22:心率异常报警")
    private Integer alarmType;

    /** 终端状态 */
    @Excel(name = "终端状态")
    private String terminalStatus;

    /** 来源类型 1终端主动发 0平台记录 */
    @Excel(name = "来源类型 1终端主动发 0平台记录")
    private Integer alarmFromType;

    /** 报警信息 平台记录使用 */
    @Excel(name = "报警信息 平台记录使用")
    private String msg;

    /** 是否发送 1是 0否 */
    @Excel(name = "是否发送 1是 0否")
    private Integer isSend;

    /** 发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发送时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendTime;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setFacilityId(Integer facilityId) 
    {
        this.facilityId = facilityId;
    }

    public Integer getFacilityId() 
    {
        return facilityId;
    }
    public void setShinfoId(Integer shinfoId) 
    {
        this.shinfoId = shinfoId;
    }

    public Integer getShinfoId() 
    {
        return shinfoId;
    }
    public void setDeviceIdCode(String deviceIdCode) 
    {
        this.deviceIdCode = deviceIdCode;
    }

    public String getDeviceIdCode() 
    {
        return deviceIdCode;
    }
    public void setGpsLong(BigDecimal gpsLong) 
    {
        this.gpsLong = gpsLong;
    }

    public BigDecimal getGpsLong() 
    {
        return gpsLong;
    }
    public void setGpsLat(BigDecimal gpsLat) 
    {
        this.gpsLat = gpsLat;
    }

    public BigDecimal getGpsLat() 
    {
        return gpsLat;
    }
    public void setSpeed(BigDecimal speed) 
    {
        this.speed = speed;
    }

    public BigDecimal getSpeed() 
    {
        return speed;
    }
    public void setDirection(Integer direction) 
    {
        this.direction = direction;
    }

    public Integer getDirection() 
    {
        return direction;
    }
    public void setPoster(Integer poster) 
    {
        this.poster = poster;
    }

    public Integer getPoster() 
    {
        return poster;
    }
    public void setElectricQuantity(Integer electricQuantity) 
    {
        this.electricQuantity = electricQuantity;
    }

    public Integer getElectricQuantity() 
    {
        return electricQuantity;
    }
    public void setStepNumber(Integer stepNumber) 
    {
        this.stepNumber = stepNumber;
    }

    public Integer getStepNumber() 
    {
        return stepNumber;
    }
    public void setRollNumber(Integer rollNumber) 
    {
        this.rollNumber = rollNumber;
    }

    public Integer getRollNumber() 
    {
        return rollNumber;
    }
    public void setStatusType(Integer statusType) 
    {
        this.statusType = statusType;
    }

    public Integer getStatusType() 
    {
        return statusType;
    }
    public void setAlarmType(Integer alarmType) 
    {
        this.alarmType = alarmType;
    }

    public Integer getAlarmType() 
    {
        return alarmType;
    }
    public void setTerminalStatus(String terminalStatus) 
    {
        this.terminalStatus = terminalStatus;
    }

    public String getTerminalStatus() 
    {
        return terminalStatus;
    }
    public void setAlarmFromType(Integer alarmFromType) 
    {
        this.alarmFromType = alarmFromType;
    }

    public Integer getAlarmFromType() 
    {
        return alarmFromType;
    }
    public void setMsg(String msg) 
    {
        this.msg = msg;
    }

    public String getMsg() 
    {
        return msg;
    }
    public void setIsSend(Integer isSend) 
    {
        this.isSend = isSend;
    }

    public Integer getIsSend() 
    {
        return isSend;
    }
    public void setSendTime(Date sendTime) 
    {
        this.sendTime = sendTime;
    }

    public Date getSendTime() 
    {
        return sendTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("facilityId", getFacilityId())
            .append("shinfoId", getShinfoId())
            .append("deviceIdCode", getDeviceIdCode())
            .append("gpsLong", getGpsLong())
            .append("gpsLat", getGpsLat())
            .append("speed", getSpeed())
            .append("direction", getDirection())
            .append("poster", getPoster())
            .append("electricQuantity", getElectricQuantity())
            .append("stepNumber", getStepNumber())
            .append("rollNumber", getRollNumber())
            .append("statusType", getStatusType())
            .append("alarmType", getAlarmType())
            .append("terminalStatus", getTerminalStatus())
            .append("createTime", getCreateTime())
            .append("alarmFromType", getAlarmFromType())
            .append("msg", getMsg())
            .append("isSend", getIsSend())
            .append("sendTime", getSendTime())
            .toString();
    }
}
